## org.eclipse.datatools.sqltools.debugger.model
Class SPValue

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPValue

public class SPValue
extends SPDebugElement

Stored Procedure variables are flat and simple. Currently they are implemented as "literal" without changing method.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SPValue(SPDebugTarget target, java.lang.String typeName, java.lang.String valueString)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPValue

    public SPValue(SPDebugTarget target,
                   java.lang.String typeName,
                   java.lang.String valueString)

Parameters:
  `target` -

Method Detail

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

  Throws:
    `DebugException`

### getValueString

    public java.lang.String getValueString()

### isAllocated

    public boolean isAllocated()
                        throws DebugException

  Throws:
    `DebugException`

### getVariables

    public IVariable[] getVariables()
                             throws DebugException

  Throws:
    `DebugException`

### hasVariables

    public boolean hasVariables()
                         throws DebugException

  Throws:
    `DebugException`

### equals

    public boolean equals(java.lang.Object obj)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.